PHPExcel_Writer_Excel2007_DocProps

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write docProps/app.xml to XML format

    writeDocPropsApp(\PHPExcel $pPHPExcel) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write docProps/core.xml to XML format

    writeDocPropsCore(\PHPExcel $pPHPExcel) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write docProps/custom.xml to XML format

    writeDocPropsCustom(\PHPExcel $pPHPExcel) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter